summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-27 13:39:12 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-27 13:39:12 +0000
commit9e8196b765dc5644c3efed43e42635b49fe99112 (patch)
tree26dff2f9b2f26b09bc0634008676c664c19ab104 /dev-python
parent9ed8764829768af0455855a700dce5cf45bee76a (diff)
downloadbaldeagleos-repo-9e8196b765dc5644c3efed43e42635b49fe99112.tar.gz
baldeagleos-repo-9e8196b765dc5644c3efed43e42635b49fe99112.tar.xz
baldeagleos-repo-9e8196b765dc5644c3efed43e42635b49fe99112.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.20.44.ebuild60
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.23.44.ebuild65
-rw-r--r--dev-python/cattrs/cattrs-1.9.0.ebuild4
-rw-r--r--dev-python/jupyter_packaging/jupyter_packaging-0.11.1.ebuild2
-rw-r--r--dev-python/mediafile/mediafile-0.9.0-r1.ebuild24
-rw-r--r--dev-python/mkdocs-git-authors-plugin/mkdocs-git-authors-plugin-0.6.3.ebuild2
-rw-r--r--dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-0.11.1.ebuild2
-rw-r--r--dev-python/nbconvert/Manifest1
-rw-r--r--dev-python/nbconvert/nbconvert-6.4.1.ebuild73
-rw-r--r--dev-python/notebook/notebook-6.4.8.ebuild2
-rw-r--r--dev-python/pep517/pep517-0.12.0-r1.ebuild41
-rw-r--r--dev-python/pkgconfig/pkgconfig-1.5.5-r1.ebuild20
-rw-r--r--dev-python/pyphen/pyphen-0.12.0-r1.ebuild26
-rw-r--r--dev-python/pypy-exe/Manifest2
-rw-r--r--dev-python/pypy-exe/pypy-exe-7.3.8_rc1.ebuild178
-rw-r--r--dev-python/requests-cache/requests-cache-0.9.1-r1.ebuild67
-rw-r--r--dev-python/rich/rich-10.16.2-r1.ebuild37
-rw-r--r--dev-python/rich/rich-11.0.0-r1.ebuild37
-rw-r--r--dev-python/sphinx_ansible_theme/Manifest1
-rw-r--r--dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.9.1.ebuild29
-rw-r--r--dev-python/terminado/Manifest1
-rw-r--r--dev-python/terminado/terminado-0.13.0.ebuild31
-rw-r--r--dev-python/terminaltables/terminaltables-3.1.10-r1.ebuild40
-rw-r--r--dev-python/terminaltables/terminaltables-9999.ebuild12
-rw-r--r--dev-python/testpath/testpath-0.5.0-r1.ebuild20
-rw-r--r--dev-python/threadpoolctl/threadpoolctl-3.0.0-r1.ebuild25
-rw-r--r--dev-python/tikzplotlib/tikzplotlib-0.9.17-r1.ebuild39
-rw-r--r--dev-python/tinycss2/tinycss2-1.1.1-r1.ebuild39
-rw-r--r--dev-python/tomli-w/Manifest2
-rw-r--r--dev-python/tomli-w/tomli-w-0.3.0.ebuild26
-rw-r--r--dev-python/tomli-w/tomli-w-1.0.0-r1.ebuild (renamed from dev-python/tomli-w/tomli-w-0.4.0.ebuild)6
-rw-r--r--dev-python/twine/twine-3.7.0-r1.ebuild54
-rw-r--r--dev-python/typing-extensions/typing-extensions-4.0.1-r1.ebuild27
-rw-r--r--dev-python/url-normalize/url-normalize-1.4.3-r1.ebuild33
36 files changed, 991 insertions, 39 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 7cf0d00885ee..eb9e7933da9d 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.20.40.tar.gz 462565 BLAKE2B bd540636392678e83112e85cb6c078d657196a4
DIST boto3-1.20.41.tar.gz 463009 BLAKE2B c60443611023dd03ddcd1cc5ca951d2efdf02c221c673a01fc056788d9ef7d1704a37c006c1706c012d11219cb6c75203518796155aa3ef144154a8a86d6620a SHA512 7bec4a384c42b238bd3f6b0f58884fab357edae2ab985142b76f6b906323c0f02568046c9bbb229bb040de336ea2cbf25fa5441cd09e7c56c94f9e7de2abc763
DIST boto3-1.20.42.tar.gz 463092 BLAKE2B 5396f2c47db8aaec468a0e9cb3eebe8450dd3a91680ea3e87171186052222c14be40ceb637aa88149eb878cf9dc45a1f0ffe6f02388be3e7dfcc28e92cad032c SHA512 1ae9b70eb601c0445bd67a61681ad1d7765deace0f007320124d587be40d8761e4270ce590994c80313090d060e84080effd6f7c3e40ca01c868bbad2d1ff6c9
DIST boto3-1.20.43.tar.gz 463424 BLAKE2B 6d67a86d4d0577b2e9d30335ddb1286f25bc866b492416ea64833bc7e8315f847393158abe898e9208b947a7e8505d18ed70885044f9059da38e8ac7a00c6a80 SHA512 95602ce59c4baa24835fcf331674e040d8e41b279bf43bfd7c00f171087644d7a335462cd1941fd1330da7909b6fe707f595ec04c0dcad02627b91fc3fdd3ffc
+DIST boto3-1.20.44.tar.gz 463921 BLAKE2B 1276bbddbf1be9e30142ef1ccc24a69e885d1bdf35ce1c136105d1c08b6a24820c965827c6bc569c747efb5dbb8e64b611b3ac2bc63bcb714f8d6748e424f927 SHA512 de223aa34efd81d26287204e9159368ee77bd91e3fd457896d801bc1517ed4b32f5a16d1441f053f90e232beb473c51bee88f591db5746cf5b8049f044c29811
diff --git a/dev-python/boto3/boto3-1.20.44.ebuild b/dev-python/boto3/boto3-1.20.44.ebuild
new file mode 100644
index 000000000000..ed44d35fedd6
--- /dev/null
+++ b/dev-python/boto3/boto3-1.20.44.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index c6c6f199ff5d..a0b8861ff1e3 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,3 +5,4 @@ DIST botocore-1.23.40.tar.gz 8730992 BLAKE2B 855742e6661e497c10cee6becbc9fc5eae3
DIST botocore-1.23.41.tar.gz 8732416 BLAKE2B 2d1a3284521a608db2dbfdbb8c98fb3bd01e048fb3b4a34e3dc497b6476bcbf8cd37ea9273ae3d3b09a9356aca8d1063dafdf15ae9c7ab59bbf3cc841bcc7a24 SHA512 d3d12df8faced36a9c7a75fd01d63986cb12d56a259f31211c32cbf0f1eceb1d6708e90f6a6a43189e37b86e01ceef68fcd5dcbd1867c571ca3630cbcc7e94f5
DIST botocore-1.23.42.tar.gz 8734201 BLAKE2B 009fd49716ce5a1453c83f279f36b8b174403ef7e403caa43a030126fde6e0e9bd414dc4369791aa090d7b10065906c6a97ada1d7796553af0cbbd4af8b78d95 SHA512 bc5ec5996fb139bc18975976bb8907978caf10399867cbcf8dc39bf47a5d61749c617c704cfbbe87074a6db5f4355f645fc88f06a71251c8bd3f65adacd1d9ba
DIST botocore-1.23.43.tar.gz 8739652 BLAKE2B 5520a9933ab87769c8459a0925822e36eba1741512bd11b575ba260ab0ea43aae66c737d66d3488aeb04cc10a2931af9136f7f80fc10bcdda309234de9bb6414 SHA512 51b11df7bf43a011df904e92285ecc373888e42e3d7e349e47df42c78432a60f692ccfbeb01fc598f9d81861823578a3cc1798340196468ee3e30de7e6a9dd03
+DIST botocore-1.23.44.tar.gz 8741781 BLAKE2B e76dcbf7a57421e4df3afa9317a1fcc66c0f7e00a3112384537daafb349648e38ec7cc6fb4b808fbfe69a6c6cfd30f04bbefb7fcc246d2b647ea4fc78aa17378 SHA512 59562e8ef5e18465a1981c188a84112326ab5f7d7ed4f72eacea3a88d43d615c8b3514d7bf6a2daf92ac29dc8bb24f8f878c318c8f463cd1ceb7e237f18dfc26
diff --git a/dev-python/botocore/botocore-1.23.44.ebuild b/dev-python/botocore/botocore-1.23.44.ebuild
new file mode 100644
index 000000000000..c44cf37adbf0
--- /dev/null
+++ b/dev-python/botocore/botocore-1.23.44.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cattrs/cattrs-1.9.0.ebuild b/dev-python/cattrs/cattrs-1.9.0.ebuild
index 2f3be063b7a5..d5b7d1793883 100644
--- a/dev-python/cattrs/cattrs-1.9.0.ebuild
+++ b/dev-python/cattrs/cattrs-1.9.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 2021-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -17,7 +17,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
RDEPEND="
>=dev-python/attrs-20.1.0[${PYTHON_USEDEP}]"
diff --git a/dev-python/jupyter_packaging/jupyter_packaging-0.11.1.ebuild b/dev-python/jupyter_packaging/jupyter_packaging-0.11.1.ebuild
index 3768659fcb07..ba8b75fef48c 100644
--- a/dev-python/jupyter_packaging/jupyter_packaging-0.11.1.ebuild
+++ b/dev-python/jupyter_packaging/jupyter_packaging-0.11.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
RDEPEND="
dev-python/packaging[${PYTHON_USEDEP}]
diff --git a/dev-python/mediafile/mediafile-0.9.0-r1.ebuild b/dev-python/mediafile/mediafile-0.9.0-r1.ebuild
new file mode 100644
index 000000000000..7cff8104a31f
--- /dev/null
+++ b/dev-python/mediafile/mediafile-0.9.0-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Read and write audio files' tags in Python"
+HOMEPAGE="https://github.com/beetbox/mediafile"
+SRC_URI="https://github.com/beetbox/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=media-libs/mutagen-1.45.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
diff --git a/dev-python/mkdocs-git-authors-plugin/mkdocs-git-authors-plugin-0.6.3.ebuild b/dev-python/mkdocs-git-authors-plugin/mkdocs-git-authors-plugin-0.6.3.ebuild
index 51811f2c21bc..e61b1ecf5cb8 100644
--- a/dev-python/mkdocs-git-authors-plugin/mkdocs-git-authors-plugin-0.6.3.ebuild
+++ b/dev-python/mkdocs-git-authors-plugin/mkdocs-git-authors-plugin-0.6.3.ebuild
@@ -19,7 +19,7 @@ SRC_URI="https://github.com/timvink/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~riscv x86"
+KEYWORDS="amd64 ~riscv x86"
RDEPEND="
dev-python/GitPython[${PYTHON_USEDEP}]
diff --git a/dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-0.11.1.ebuild b/dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-0.11.1.ebuild
index dd92912943ae..b62c6c054f65 100644
--- a/dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-0.11.1.ebuild
+++ b/dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-0.11.1.ebuild
@@ -22,7 +22,7 @@ SRC_URI="https://github.com/timvink/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~riscv x86"
+KEYWORDS="amd64 ~riscv x86"
RDEPEND="
>=dev-python/Babel-2.7.0[${PYTHON_USEDEP}]
diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index d0665ac6c8c4..c9145c9b85f9 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1,2 +1,3 @@
DIST nbconvert-6.3.0.tar.gz 900850 BLAKE2B 8ef7d3bfcb914bf4be064ef440faab283fcc71e53579a681deb343d307a8b39cca2d0b83828b9df7c45ee7e9e06164ba6daa234b678197bc8a3202cd7e560c06 SHA512 efbe18c50e408fcb7d920c5ee070d19e19f0347f7073cf86b45046f3e30bd30ab8174115c539020fbf404faf5fc6e55dc7df1ad27accb45f1b2acf2db1d325e6
DIST nbconvert-6.4.0.tar.gz 901586 BLAKE2B 85087046fe9a211c077165f47c03e7b025c770e2d409278703ddeef3c84b3d60e1ad28650f67fb9d68b72ad077db5bbd99af5c81ddf94fd7bf67471701dbdc4a SHA512 12662cca240a4c57a41e3bc7fedebd51c6fb83a0740afa7acfcc25424ca544a44b4dbfecfb9edb396360866de0b8fafad124fbb87c46c6f796661a7f40e96f68
+DIST nbconvert-6.4.1.tar.gz 900632 BLAKE2B 4946a5fd6e408951aad1d0015e3bc4aad812ca3d8f9d1ee8a45a9ffd12a23e25a5952a403082d78a488ac723e2540bc5e39f675de3c2ec5f7f2c67cdc00346de SHA512 9da691b404bb1fd052075bbc3d55adcce4fb6bcb822901c73d2d3d362555bc9794db98803563a2a61c5a1ce24d4f803c6135d0ea2a162933173d19c9c6ce4f48
diff --git a/dev-python/nbconvert/nbconvert-6.4.1.ebuild b/dev-python/nbconvert/nbconvert-6.4.1.ebuild
new file mode 100644
index 000000000000..bdff3a757724
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-6.4.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="https://nbconvert.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ >=dev-python/entrypoints-0.2.2[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/jupyter_core[${PYTHON_USEDEP}]
+ dev-python/jupyterlab_pygments[${PYTHON_USEDEP}]
+ >=dev-python/mistune-0.8.1[${PYTHON_USEDEP}]
+ <dev-python/mistune-2[${PYTHON_USEDEP}]
+ dev-python/nbclient[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.1[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ www-servers/tornado[${PYTHON_USEDEP}]
+"
+# Skip inkscape on hppa b/c tests should skip it gracefully if not around
+# It's a heavy dependency.
+BDEPEND="
+ test? (
+ dev-python/pebble[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-4.2[${PYTHON_USEDEP}]
+ !hppa? ( media-gfx/inkscape )
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ mkdir -p "${HOME}/.local" || die
+ cp -r share "${HOME}/.local/" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Missing pyppeteer for now
+ # TODO: Doesn't skip?
+ nbconvert/exporters/tests/test_webpdf.py
+ # Needs pyppeteer too
+ 'nbconvert/tests/test_nbconvertapp.py::TestNbConvertApp::test_webpdf_with_chromium'
+ )
+
+ epytest --pyargs nbconvert
+}
+
+pkg_postinst() {
+ if ! has_version app-text/pandoc ; then
+ einfo "Pandoc is required for converting to formats other than Python,"
+ einfo "HTML, and Markdown. If you need this functionality, install"
+ einfo "app-text/pandoc."
+ fi
+}
diff --git a/dev-python/notebook/notebook-6.4.8.ebuild b/dev-python/notebook/notebook-6.4.8.ebuild
index 19a9851a22f8..db131c444e9f 100644
--- a/dev-python/notebook/notebook-6.4.8.ebuild
+++ b/dev-python/notebook/notebook-6.4.8.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
RDEPEND="
>=dev-libs/mathjax-2.4
diff --git a/dev-python/pep517/pep517-0.12.0-r1.ebuild b/dev-python/pep517/pep517-0.12.0-r1.ebuild
new file mode 100644
index 000000000000..363f501c8552
--- /dev/null
+++ b/dev-python/pep517/pep517-0.12.0-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Wrappers to build Python packages using PEP 517 hooks"
+HOMEPAGE="
+ https://pypi.org/project/pep517/
+ https://github.com/pypa/pep517/
+ https://pep517.readthedocs.io/"
+SRC_URI="
+ https://github.com/pypa/pep517/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/tomli[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/testpath[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # require Internet
+ tests/test_meta.py
+)
+
+src_prepare() {
+ sed -i -e '/--flake8/d' pytest.ini || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pkgconfig/pkgconfig-1.5.5-r1.ebuild b/dev-python/pkgconfig/pkgconfig-1.5.5-r1.ebuild
new file mode 100644
index 000000000000..a4aaa1a60b8b
--- /dev/null
+++ b/dev-python/pkgconfig/pkgconfig-1.5.5-r1.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Interface Python with pkg-config"
+HOMEPAGE="https://pypi.org/project/pkgconfig/ https://github.com/matze/pkgconfig"
+SRC_URI="https://github.com/matze/pkgconfig/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="virtual/pkgconfig"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pyphen/pyphen-0.12.0-r1.ebuild b/dev-python/pyphen/pyphen-0.12.0-r1.ebuild
new file mode 100644
index 000000000000..cca5b7ab11b4
--- /dev/null
+++ b/dev-python/pyphen/pyphen-0.12.0-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for hyphenation using hunspell dictionaries"
+HOMEPAGE="https://github.com/Kozea/Pyphen"
+SRC_URI="https://github.com/Kozea/Pyphen/archive/${PV}.tar.gz -> ${P^}.tar.gz"
+S=${WORKDIR}/${P^}
+
+LICENSE="GPL-2+ LGPL-2+ MPL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # avoid dep on extra plugins
+ sed -i -e '/addopts/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pypy-exe/Manifest b/dev-python/pypy-exe/Manifest
index 7510afe80025..e54c9e8a69a2 100644
--- a/dev-python/pypy-exe/Manifest
+++ b/dev-python/pypy-exe/Manifest
@@ -1,2 +1,4 @@
DIST pypy2.7-gentoo-patches-7.3.6.tar.xz 7904 BLAKE2B 6a809f8f1fd59c18627abaf81b47fa5948d39d5ece86fa416944c1c6585ec5d43b56f4228479a6afdca9788a0ecfdc83fceb4eeea25f289c1dc0b2dbda79b882 SHA512 01fe42cdf94b559ed787e253325f7df0add62e30e77c6b6e4c0301c81ff624a31167d95b39d24d72f28441468d571112f424957de38e7f26ecdbfe0f33617296
+DIST pypy2.7-gentoo-patches-7.3.8rc1.tar.xz 7424 BLAKE2B 931fccd3415e0da7c0fa5a228fc1fec2006a9d12d3523222fc0618a901c161df9f149d09e354029b42ca2144bdeebbd228ec6025574d87d4b630fd0750bc4919 SHA512 c193610c46d4b02d1445073f12c3285ce053f5b860584b1c39bff48d5e800c609d40ff0eb91049cdf8f4bfdb4e7bb48d7059de98785e598349022602b97e5f2c
DIST pypy2.7-v7.3.6-src.tar.bz2 21621891 BLAKE2B a2d18ae9d455747484de491df228e7f26af46fc3bc1fd1c16ceba79eba5a3a3272d48312c9da112ae9310722b5af33098f28a7dc15d7ff4760886a8c974692a2 SHA512 df914f5e1a1f5ae5c1ea11cd8e29482309af4dce041cf2ae6d7b35a35717fec903be70f56e5f1ddbc9fd370cbe29f6896d25eb2cd10c493c352c80b279070ba3
+DIST pypy2.7-v7.3.8rc1-src.tar.bz2 23267987 BLAKE2B 035aef49ff0e8b1caed24e87712364ca350fe9f51247eaf732a32458a756264a867ad1270d4edc500daba8dcf70ca8882eb7f381135961f7f48d784ffe8bc6ee SHA512 88184be129ca3698db4e04ae6d241b7c748626870400a100ee2b8bba6ae3c0508071e435adb204bd6b34642ff3c8b0b71643446a3b443cc4467d68591fd53ceb
diff --git a/dev-python/pypy-exe/pypy-exe-7.3.8_rc1.ebuild b/dev-python/pypy-exe/pypy-exe-7.3.8_rc1.ebuild
new file mode 100644
index 000000000000..2b56ef3b6b02
--- /dev/null
+++ b/dev-python/pypy-exe/pypy-exe-7.3.8_rc1.ebuild
@@ -0,0 +1,178 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9,10} )
+inherit check-reqs pax-utils python-any-r1 toolchain-funcs
+
+PYPY_PV=${PV%_p*}
+MY_P=pypy2.7-v${PYPY_PV/_}
+PATCHSET="pypy2.7-gentoo-patches-${PV/_}"
+
+DESCRIPTION="PyPy executable (build from source)"
+HOMEPAGE="https://www.pypy.org/"
+SRC_URI="https://buildbot.pypy.org/pypy/${MY_P}-src.tar.bz2
+ https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz"
+S="${WORKDIR}/${MY_P}-src"
+
+LICENSE="MIT"
+SLOT="${PYPY_PV}"
+KEYWORDS=""
+IUSE="bzip2 +jit low-memory ncurses cpu_flags_x86_sse2"
+
+RDEPEND=">=sys-libs/zlib-1.1.3:0=
+ dev-libs/libffi:0=
+ virtual/libintl:0=
+ dev-libs/expat:0=
+ bzip2? ( app-arch/bzip2:0= )
+ ncurses? ( sys-libs/ncurses:0= )
+ !dev-python/pypy-exe-bin:${PYPY_PV}"
+# don't enforce the dep on pypy with USE=low-memory since it's going
+# to cause either collisions or circular dep on itself
+DEPEND="${RDEPEND}"
+BDEPEND="
+ !low-memory? (
+ || (
+ dev-python/pypy
+ dev-lang/python:2.7
+ )
+ )"
+
+check_env() {
+ if use low-memory; then
+ if ! has_version -b dev-python/pypy &&
+ ! has_version -b dev-python/pypy-bin
+ then
+ eerror "USE=low-memory requires a (possibly old) version of dev-python/pypy"
+ eerror "being installed. Please install it using e.g.:"
+ eerror
+ eerror " $ emerge -1v dev-python/pypy dev-python/pypy-exe-bin"
+ eerror
+ eerror "before attempting to build dev-python/pypy-exe[low-memory]."
+ die "dev-python/pypy needs to be installed for USE=low-memory"
+ fi
+
+ CHECKREQS_MEMORY="1750M"
+ use amd64 && CHECKREQS_MEMORY="3500M"
+ else
+ CHECKREQS_MEMORY="3G"
+ use amd64 && CHECKREQS_MEMORY="6G"
+ fi
+
+ check-reqs_pkg_pretend
+}
+
+pkg_pretend() {
+ [[ ${MERGE_TYPE} != binary ]] && check_env
+}
+
+pkg_setup() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ check_env
+
+ use low-memory && EPYTHON=
+ if [[ ! ${EPYTHON} || ${EPYTHON} == pypy ]] &&
+ { has_version -b dev-python/pypy ||
+ has_version -b dev-python/pypy-bin; }
+ then
+ einfo "Using already-installed PyPy to perform the translation."
+ EPYTHON=pypy
+ else
+ einfo "Using ${EPYTHON} to perform the translation. Please note that upstream"
+ einfo "recommends using PyPy for that. If you wish to do so, please unset"
+ einfo "the EPYTHON variable."
+ python-any-r1_pkg_setup
+ fi
+ fi
+}
+
+src_prepare() {
+ local PATCHES=(
+ "${WORKDIR}/${PATCHSET}"
+ )
+ default
+}
+
+src_configure() {
+ tc-export CC
+
+ local jit_backend
+ if use jit; then
+ jit_backend='--jit-backend='
+
+ # We only need the explicit sse2 switch for x86.
+ # On other arches we can rely on autodetection which uses
+ # compiler macros. Plus, --jit-backend= doesn't accept all
+ # the modern values...
+
+ if use x86; then
+ if use cpu_flags_x86_sse2; then
+ jit_backend+=x86
+ else
+ jit_backend+=x86-without-sse2
+ fi
+ else
+ jit_backend+=auto
+ fi
+ fi
+
+ local args=(
+ --no-shared
+ $(usex jit -Ojit -O2)
+
+ ${jit_backend}
+
+ pypy/goal/targetpypystandalone
+ )
+
+ # Avoid linking against libraries disabled by use flags
+ local opts=(
+ bzip2:bz2
+ ncurses:_minimal_curses
+ )
+
+ local opt
+ for opt in "${opts[@]}"; do
+ local flag=${opt%:*}
+ local mod=${opt#*:}
+
+ args+=(
+ $(usex ${flag} --withmod --withoutmod)-${mod}
+ )
+ done
+
+ local interp=( "${EPYTHON}" )
+ if use low-memory; then
+ interp=( env PYPY_GC_MAX_DELTA=200MB
+ "${EPYTHON}" --jit loop_longevity=300 )
+ fi
+
+ if [[ ${EPYTHON} != pypy ]]; then
+ # reuse bundled pycparser to avoid external dep
+ mkdir -p "${T}"/pymod/cffi || die
+ : > "${T}"/pymod/cffi/__init__.py || die
+ cp -r lib_pypy/cffi/_pycparser "${T}"/pymod/cffi/ || die
+ local -x PYTHONPATH=${T}/pymod:${PYTHONPATH}
+ fi
+
+ # translate into the C sources
+ # we're going to build them ourselves since otherwise pypy does not
+ # free up the unneeded memory before spawning the compiler
+ set -- "${interp[@]}" rpython/bin/rpython --batch --source "${args[@]}"
+ echo -e "\033[1m${@}\033[0m"
+ "${@}" || die "translation failed"
+}
+
+src_compile() {
+ emake -C "${T}"/usession*-0/testing_1
+}
+
+src_install() {
+ local dest=/usr/lib/pypy2.7
+ exeinto "${dest}"
+ newexe "${T}"/usession*-0/testing_1/pypy-c pypy-c-${PYPY_PV}
+ insinto "${dest}"/include/${PYPY_PV}
+ doins include/pypy_*
+ pax-mark m "${ED}${dest}/pypy-c-${PYPY_PV}"
+}
diff --git a/dev-python/requests-cache/requests-cache-0.9.1-r1.ebuild b/dev-python/requests-cache/requests-cache-0.9.1-r1.ebuild
new file mode 100644
index 000000000000..6092f794c511
--- /dev/null
+++ b/dev-python/requests-cache/requests-cache-0.9.1-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1 optfeature
+
+HOMEPAGE="
+ https://pypi.org/project/requests-cache/
+ https://github.com/reclosedev/requests-cache/"
+DESCRIPTION="Persistent cache for requests library"
+SRC_URI="
+ https://github.com/reclosedev/requests-cache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ dev-python/cattrs[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.0.0[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ >=dev-python/url-normalize-1.4[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/itsdangerous[${PYTHON_USEDEP}]
+ dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/timeout-decorator[${PYTHON_USEDEP}]
+ dev-python/ujson[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # These require extra servers running
+ tests/integration/test_dynamodb.py
+ tests/integration/test_gridfs.py
+ tests/integration/test_mongodb.py
+ tests/integration/test_redis.py
+ )
+ local EPYTEST_DESELECT=(
+ # Requires Internet access
+ tests/integration/test_compat.py::test_version_upgrade
+ )
+
+ local -x USE_PYTEST_HTTPBIN=true
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "redis backend" "dev-python/redis-py"
+ optfeature "MongoDB backend" "dev-python/pymongo"
+
+ optfeature "JSON serialization" "dev-python/ujson"
+ optfeature "YAML serialization" "dev-python/pyyaml"
+ optfeature "signing serialized data" "dev-python/itsdangerous"
+}
diff --git a/dev-python/rich/rich-10.16.2-r1.ebuild b/dev-python/rich/rich-10.16.2-r1.ebuild
new file mode 100644
index 000000000000..d695214261d5
--- /dev/null
+++ b/dev-python/rich/rich-10.16.2-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for renrering rich text, tables, etc. to the terminal"
+HOMEPAGE="https://github.com/willmcgugan/rich"
+SRC_URI="https://github.com/willmcgugan/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/commonmark[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # check for exact color render string, which changes across pygments bumps
+ tests/test_syntax.py::test_python_render
+ tests/test_syntax.py::test_python_render_simple
+ tests/test_syntax.py::test_python_render_indent_guides
+ )
+ epytest -p no:pytest-qt
+}
+
+pkg_postinst() {
+ optfeature "integration with HTML widgets for Jupyter" dev-python/ipywidgets
+}
diff --git a/dev-python/rich/rich-11.0.0-r1.ebuild b/dev-python/rich/rich-11.0.0-r1.ebuild
new file mode 100644
index 000000000000..735f9eaf3507
--- /dev/null
+++ b/dev-python/rich/rich-11.0.0-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for renrering rich text, tables, etc. to the terminal"
+HOMEPAGE="https://github.com/Textualize/rich"
+SRC_URI="https://github.com/Textualize/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/commonmark[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # check for exact color render string, which changes across pygments bumps
+ tests/test_syntax.py::test_python_render
+ tests/test_syntax.py::test_python_render_simple
+ tests/test_syntax.py::test_python_render_indent_guides
+ )
+ epytest -p no:pytest-qt
+}
+
+pkg_postinst() {
+ optfeature "integration with HTML widgets for Jupyter" dev-python/ipywidgets
+}
diff --git a/dev-python/sphinx_ansible_theme/Manifest b/dev-python/sphinx_ansible_theme/Manifest
index 32fdcfc9f05d..4802a02e7a5a 100644
--- a/dev-python/sphinx_ansible_theme/Manifest
+++ b/dev-python/sphinx_ansible_theme/Manifest
@@ -1,2 +1,3 @@
DIST sphinx-ansible-theme-0.8.0.tar.gz 34401 BLAKE2B 493663331e593da8d56683991762452419fd5fdb48e2c59ee3a38b6242216bccf56e047e59294ae73cccfb48a66606e55fac6c9a19d91e6ea778920f9919dbd1 SHA512 399af992428dd3212681efa66036af9ae7dbd9a9dd507452686cc76aa3e365aabee0ba7b599fbbed85f1f252075d5158ade9a816a9aad17b4e5ed696be1c962e
DIST sphinx-ansible-theme-0.9.0.tar.gz 34533 BLAKE2B 53e4169f8deb88c9b0398e745cb249a596b3e63086afd3543d2465e1f2048f587f0a5964ac4a4cdc7a81c2cf78239ec59cd808a4dd644b3faec39b7a2b6487cd SHA512 0610a8422950252d88469dde274e3ac3df85034a886e87dbc9a19d621a55a7fc45d8ffdaf047cf78c556d6eacc09832d718fa5ab8f5019621b37579d84ed4951
+DIST sphinx-ansible-theme-0.9.1.tar.gz 34505 BLAKE2B 533e665b30f5aa450e4a2240c55c4992340b9f6ee03d27758bf119dfe2eef987fbd4b98136349af376557d8e9a78e5391a648b9886136995d05410b0c26561f2 SHA512 f78602af8affe7be59988f466cf6a2aa67e174086f338cad855369a7bbee5a76d07bcffa8406dea5a819127b26d69e29b0d90dab38b82524b3e317f9082d0379
diff --git a/dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.9.1.ebuild b/dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.9.1.ebuild
new file mode 100644
index 000000000000..6b9945c3f494
--- /dev/null
+++ b/dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.9.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_PN="${PN//_/-}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A reusable Ansible Sphinx theme"
+HOMEPAGE="https://github.com/ansible-community/sphinx_ansible_theme"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ doc? ( dev-python/ansible-pygments[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx docs 'dev-python/sphinx-notfound-page'
diff --git a/dev-python/terminado/Manifest b/dev-python/terminado/Manifest
index 3164f114877b..c28079f48c6a 100644
--- a/dev-python/terminado/Manifest
+++ b/dev-python/terminado/Manifest
@@ -1 +1,2 @@
DIST terminado-0.12.1.tar.gz 14513 BLAKE2B 97537851a2284c4cae2d9cdc42ad2714c9368f4318ac14c35197d6691404bec205b7b589c35302ff9d3fa99e4a15e24e713f70cc319e26788631134ff4b77cb1 SHA512 770a41b8fa6b43a577c077e8239a43b654f8e4423564ca38d66428ed6c322edea64c98225cb94ae182add9757b6d4e52796edd332443fe7ac643677a8d133674
+DIST terminado-0.13.0.tar.gz 16587 BLAKE2B 4a5b7431412d4eb65df076846519bb4ec89873bf2a6daf6ef5bf9c378d428378ca7323dadfcbcac43b4136cc91d6e786361c96e36b1e1dddbc0723a02666a52b SHA512 bf2b1d39afeaff43c9ae9cfa4ab799e254b97b7fb43d831c373ac1a6f954780757546df2a240d863901e13c610f07f429b30f188eebacbae33c6c9bb43d14bcc
diff --git a/dev-python/terminado/terminado-0.13.0.ebuild b/dev-python/terminado/terminado-0.13.0.ebuild
new file mode 100644
index 000000000000..99b0b798ba63
--- /dev/null
+++ b/dev-python/terminado/terminado-0.13.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Terminals served to term.js using Tornado websockets"
+HOMEPAGE="https://pypi.org/project/terminado/ https://github.com/jupyter/terminado"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ www-servers/tornado[${PYTHON_USEDEP}]"
+RDEPEND="${BDEPEND}
+ dev-python/ptyprocess[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_test() {
+ # workaround new readline defaults
+ echo "set enable-bracketed-paste off" > "${T}"/inputrc || die
+ local -x INPUTRC="${T}"/inputrc
+ distutils-r1_src_test
+}
diff --git a/dev-python/terminaltables/terminaltables-3.1.10-r1.ebuild b/dev-python/terminaltables/terminaltables-3.1.10-r1.ebuild
new file mode 100644
index 000000000000..7cf389698052
--- /dev/null
+++ b/dev-python/terminaltables/terminaltables-3.1.10-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Generate simple tables in terminals from a nested list of strings"
+HOMEPAGE="https://robpol86.github.io/terminaltables/"
+SRC_URI="
+ https://github.com/matthewdeanmartin/terminaltables/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/colorclass[${PYTHON_USEDEP}]
+ dev-python/termcolor[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/terminaltables-3.1.0-stdout.patch
+)
+
+src_prepare() {
+ sed -e '/requires/s:poetry:&-core:' \
+ -e '/backend/s:poetry:&.core:' \
+ -i pyproject.toml || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/terminaltables/terminaltables-9999.ebuild b/dev-python/terminaltables/terminaltables-9999.ebuild
index 856fcc1959dc..5afdbf601161 100644
--- a/dev-python/terminaltables/terminaltables-9999.ebuild
+++ b/dev-python/terminaltables/terminaltables-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+DISTUTILS_USE_PEP517=poetry
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
inherit distutils-r1 git-r3
@@ -24,3 +24,11 @@ BDEPEND="
)"
distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/requires/s:poetry:&-core:' \
+ -e '/backend/s:poetry:&.core:' \
+ -i pyproject.toml || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/testpath/testpath-0.5.0-r1.ebuild b/dev-python/testpath/testpath-0.5.0-r1.ebuild
new file mode 100644
index 000000000000..e812d49a5af7
--- /dev/null
+++ b/dev-python/testpath/testpath-0.5.0-r1.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Test utilities for code working with files and commands"
+HOMEPAGE="https://github.com/jupyter/testpath https://testpath.readthedocs.io/en/latest/"
+SRC_URI="https://github.com/jupyter/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
diff --git a/dev-python/threadpoolctl/threadpoolctl-3.0.0-r1.ebuild b/dev-python/threadpoolctl/threadpoolctl-3.0.0-r1.ebuild
new file mode 100644
index 000000000000..028458096b84
--- /dev/null
+++ b/dev-python/threadpoolctl/threadpoolctl-3.0.0-r1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Limit the number of threads used in native libs that have their own threadpool"
+HOMEPAGE="https://github.com/joblib/threadpoolctl"
+SRC_URI="https://github.com/joblib/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '2,3s:flit:&_core:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/tikzplotlib/tikzplotlib-0.9.17-r1.ebuild b/dev-python/tikzplotlib/tikzplotlib-0.9.17-r1.ebuild
new file mode 100644
index 000000000000..517eb6634624
--- /dev/null
+++ b/dev-python/tikzplotlib/tikzplotlib-0.9.17-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Convert matplotlib figures into TikZ/PGFPlots"
+HOMEPAGE="https://github.com/nschloe/tikzplotlib"
+SRC_URI="https://github.com/nschloe/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ app-text/texlive[extra]
+ <dev-python/matplotlib-3.5[latex,${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pytest-codeblocks[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/mock
+
+python_test() {
+ local -x MPLBACKEND=Agg
+ virtx epytest
+}
diff --git a/dev-python/tinycss2/tinycss2-1.1.1-r1.ebuild b/dev-python/tinycss2/tinycss2-1.1.1-r1.ebuild
new file mode 100644
index 000000000000..85a4aa6c823c
--- /dev/null
+++ b/dev-python/tinycss2/tinycss2-1.1.1-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+CSS_TEST_COMMIT_ID=c5749e51dda3868b3e8062e65a36584c2fec8059
+
+DESCRIPTION="A complete yet simple CSS parser for Python"
+HOMEPAGE="https://github.com/Kozea/tinycss2/
+ https://pypi.org/project/tinycss2/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="
+ https://github.com/Kozea/tinycss2/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/SimonSapin/css-parsing-tests/archive/${CSS_TEST_COMMIT_ID}.tar.gz
+ -> css-parsing-tests-${CSS_TEST_COMMIT_ID}.gh.tar.gz
+ )"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND=">=dev-python/webencodings-0.4[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' pyproject.toml || die
+ if use test; then
+ mv "${WORKDIR}/css-parsing-tests-${CSS_TEST_COMMIT_ID}"/* \
+ tests/css-parsing-tests/ || die
+ fi
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/tomli-w/Manifest b/dev-python/tomli-w/Manifest
index 3503f96d25b4..fca181d22e89 100644
--- a/dev-python/tomli-w/Manifest
+++ b/dev-python/tomli-w/Manifest
@@ -1,3 +1 @@
-DIST tomli-w-0.3.0.gh.tar.gz 61366 BLAKE2B 1ca3d50237d41fb22e8d506d2d8af3c5d9f690161a44439d3a79038bda7a67a6af9ad62b077169b5c2bdaee2110a3be5e3eec652aa8866a20c5841662f18a7e1 SHA512 618b93f2d98eee4fafe502e25f8770dc58558b25d9ec548fa5d0a6bdd8914e487fb1d16b68d138e0f8a48a6e5713c23e4d1a6daf70c8eafa27630fee05dfe8df
-DIST tomli-w-0.4.0.gh.tar.gz 63717 BLAKE2B 13f73718e84602e65243708481c546379120741bdef2c9b5dd53fc0a8f81bb098acfc18d8623d3b4ad9fe0ac37594c3c0fee94e009428cde2b46b6819f5598d1 SHA512 0a3940fd738aa62c9409cf33c515c33e232796374c10a7d0b0a7fcaf2d39e846cc1cf87700b5e8d5601e4bd02e76f5ee322c9d5fb37d4706670d34d8313fd19d
DIST tomli-w-1.0.0.gh.tar.gz 63862 BLAKE2B f10dc80ce76edafd78fc66dd488a35bb0e1d8bf31d0cc0e3b970be19f5cda40d992fafd46d1361b55df4a787d48f38260ac2be77def7ac938f62144e4c810897 SHA512 406f81e4e8151e55e8367031b5880f51de41016711238a114c82962012de4b90d5e465c503a8979d565d07843fbc4804a53c29848e4f6e5f20f9ec5dc5ce536a
diff --git a/dev-python/tomli-w/tomli-w-0.3.0.ebuild b/dev-python/tomli-w/tomli-w-0.3.0.ebuild
deleted file mode 100644
index 9d3a41b28bf6..000000000000
--- a/dev-python/tomli-w/tomli-w-0.3.0.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_SETUPTOOLS=pyproject.toml
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A lil' TOML writer"
-HOMEPAGE="
- https://pypi.org/project/tomli_w/
- https://github.com/hukkin/tomli-w/"
-SRC_URI="
- https://github.com/hukkin/tomli-w/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-BDEPEND="
- test? ( dev-python/tomli[${PYTHON_USEDEP}] )"
-
-distutils_enable_tests pytest
diff --git a/dev-python/tomli-w/tomli-w-0.4.0.ebuild b/dev-python/tomli-w/tomli-w-1.0.0-r1.ebuild
index 62f193be0561..5fce47b72d98 100644
--- a/dev-python/tomli-w/tomli-w-0.4.0.ebuild
+++ b/dev-python/tomli-w/tomli-w-1.0.0-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 2021-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
inherit distutils-r1
@@ -18,7 +18,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
BDEPEND="
test? ( dev-python/tomli[${PYTHON_USEDEP}] )"
diff --git a/dev-python/twine/twine-3.7.0-r1.ebuild b/dev-python/twine/twine-3.7.0-r1.ebuild
new file mode 100644
index 000000000000..13f0c80fa985
--- /dev/null
+++ b/dev-python/twine/twine-3.7.0-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="https://twine.readthedocs.io/ https://github.com/pypa/twine https://pypi.org/project/twine/"
+SRC_URI="https://github.com/pypa/twine/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+ >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+ >=dev-python/keyring-15.1[${PYTHON_USEDEP}]
+ >=dev-python/pkginfo-1.8.1[${PYTHON_USEDEP}]
+ >=dev-python/readme_renderer-21.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/tqdm-4.14[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/jaraco-envs[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/munch[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pypiserver[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # requires internet
+ rm -f tests/test_integration.py || die
+ # pytest-socket dep relevant only to test_integration, and upstream
+ # disables it anyway
+ sed -i -e '/--disable-socket/d' pytest.ini || die
+ sed -i -e '/--cov/d' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
diff --git a/dev-python/typing-extensions/typing-extensions-4.0.1-r1.ebuild b/dev-python/typing-extensions/typing-extensions-4.0.1-r1.ebuild
new file mode 100644
index 000000000000..391e538ecbe9
--- /dev/null
+++ b/dev-python/typing-extensions/typing-extensions-4.0.1-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=typing-${PV}
+DESCRIPTION="Type Hint extensions from Python 3.8 backported"
+HOMEPAGE="
+ https://pypi.org/project/typing-extensions/
+ https://github.com/python/typing/"
+SRC_URI="
+ https://github.com/python/typing/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S=${WORKDIR}/${MY_P}/typing_extensions
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+
+python_test() {
+ cd "${S}"/src || die
+ "${EPYTHON}" test_typing_extensions.py -v || die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/url-normalize/url-normalize-1.4.3-r1.ebuild b/dev-python/url-normalize/url-normalize-1.4.3-r1.ebuild
new file mode 100644
index 000000000000..d252796f90f6
--- /dev/null
+++ b/dev-python/url-normalize/url-normalize-1.4.3-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="URL normalization for Python"
+HOMEPAGE="
+ https://github.com/niksite/url-normalize/
+ https://pypi.org/project/url-normalize/"
+SRC_URI="
+ https://github.com/niksite/url-normalize/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove problematic pytest options
+ rm tox.ini || die
+ sed -e '/requires/s:poetry:&-core:' \
+ -e '/backend/s:poetry:&.core:' \
+ -i pyproject.toml || die
+ distutils-r1_src_prepare
+}